Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361909 - Please update Luxrender with Blender 2.77a
Summary: Please update Luxrender with Blender 2.77a
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 18:53 UTC by Luya Tshimbalanga
Modified: 2016-08-27 10:35 UTC (History)
2 users (show)

Fixed In Version: LuxRender-1.3.1-33.fc24 LuxRender-1.3.1-33.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-21 23:22:34 UTC


Attachments (Terms of Use)

Description Luya Tshimbalanga 2016-07-31 18:53:50 UTC
Description of problem:
LuxRender-blender dependency is currently broken due to the latest version of Blender 2.77a. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
nothing provides blender(ABI) = 2.76 needed by LuxRender-blender-1.3.1-31.fc25.x86_64.

Expected results:
LuxRender-blender installs without issue

Additional info:
See result from livemedia build for Design Suite
http://koji.fedoraproject.org/koji/getfile?taskID=15085967&name=anaconda-anaconda.log&offset=-4000

Comment 1 Nicolas Chauvet (kwizart) 2016-08-01 09:14:37 UTC
In the current situation, you need to update blender and LuxRender at the same time. I'm okay if you request the ACL to do this at the same time as you update blender, because I'm not going to check for a rebuild anytime you have the idea to update blender.

That been said I agree that the current situation can be improved.
The reason why there is this "fake" ABI check is that LuxRender-blender install the plugin in the blender (home?) plugin directory. Last time I've checked this directory has the version included in it's path.

Best would be to remove all this mess coming from the previous blender maintainer and get the proper solution upstream.

Comment 2 Nicolas Chauvet (kwizart) 2016-08-01 09:15:24 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #1)
> In the current situation, you need to update blender and LuxRender at the
> same time. I'm okay if you request the ACL to do this at the same time as
well, to be more accurte, a simple LuxRender rebuild with the new blender version in the buildroot is enought.

Comment 3 Luya Tshimbalanga 2016-08-01 16:20:27 UTC
Request for ACL sent. I just needs for Fedora 23 and up as previous version have older dependencies those cannot be fulfilled.

Comment 4 Fedora Update System 2016-08-02 16:41:58 UTC
LuxRender-1.3.1-32.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc670571fc

Comment 5 Fedora Update System 2016-08-04 01:55:13 UTC
LuxRender-1.3.1-32.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc670571fc

Comment 6 Fedora Update System 2016-08-12 19:31:02 UTC
LuxRender-1.3.1-33.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c91967759

Comment 7 Fedora Update System 2016-08-12 19:31:27 UTC
LuxRender-1.3.1-33.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-002008bf1f

Comment 8 Fedora Update System 2016-08-12 22:52:31 UTC
LuxRender-1.3.1-33.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c91967759

Comment 9 Fedora Update System 2016-08-14 00:22:25 UTC
LuxRender-1.3.1-33.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-002008bf1f

Comment 10 Fedora Update System 2016-08-21 23:22:24 UTC
LuxRender-1.3.1-33.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-27 10:35:23 UTC
LuxRender-1.3.1-33.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.